<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>child</title>
</head>
<body>
    HEllo child
    <script>
        //window.opener.postMessage("child",'*');
        // window.addEventListener("message",(msg1)=>{
        //     console.log(msg1.data);
        // });
        function fun(){
            return "child function";
        }
        //var x = 100;
        window.opener.postMessage(JSON.stringify(fun)/*x*/,'*');
       window.addEventListener("message",(msg1)=>{
           console.log(msg1.data)
       });
    </script>
</body>
</html>